Index: moodle/mod/quiz/report/overview/report.php
--- moodle/mod/quiz/report/overview/report.php Base (1.188)
+++ moodle/mod/quiz/report/overview/report.php Locally Modified (Based On 1.188)
@@ -402,14 +402,14 @@
                      $imageurl = "{$CFG->wwwroot}/mod/quiz/report/overview/overviewgraph.php?id={$quiz->id}&amp;groupid=$currentgroup";
                      $graphname = get_string('overviewreportgraphgroup', 'quiz_overview', groups_get_group_name($currentgroup));
                      echo $OUTPUT->heading($graphname);
-                     echo '<div class="graph flexible-wrap"><img src="'.$imageurl.'" alt="'.$graphname.'" /></div>';
+                     echo '<div class="graph"><img src="'.$imageurl.'" alt="'.$graphname.'" /></div>';
                 }
             }
             if ($DB->record_exists('quiz_grades', array('quiz'=> $quiz->id))) {
                  $graphname = get_string('overviewreportgraph', 'quiz_overview');
                  $imageurl = $CFG->wwwroot.'/mod/quiz/report/overview/overviewgraph.php?id='.$quiz->id;
                  echo $OUTPUT->heading($graphname);
-                 echo '<div class="graph flexible-wrap"><img src="'.$imageurl.'" alt="'.$graphname.'" /></div>';
+                 echo '<div class="graph"><img src="'.$imageurl.'" alt="'.$graphname.'" /></div>';
             }
         }
         return true;
Index: moodle/mod/quiz/report/statistics/report.php
--- moodle/mod/quiz/report/statistics/report.php Base (1.55)
+++ moodle/mod/quiz/report/statistics/report.php Locally Modified (Based On 1.55)
@@ -230,7 +230,7 @@
             echo $OUTPUT->heading(get_string('questioninformation', 'quiz_statistics'));
             echo html_writer::table($questioninfotable);
 
-            echo $OUTPUT->box(format_text($question->questiontext, $question->questiontextformat).$actions, 'boxaligncenter generalbox boxwidthnormal mdl-align');
+            echo $OUTPUT->box(format_text($question->questiontext, $question->questiontextformat, array('overflowdiv'=>true)).$actions, 'boxaligncenter generalbox boxwidthnormal mdl-align');
 
             echo $OUTPUT->heading(get_string('questionstatistics', 'quiz_statistics'));
             echo html_writer::table($questionstatstable);
@@ -356,7 +356,7 @@
         $quizinformationtable = new html_table();
         $quizinformationtable->align = array('center', 'center');
         $quizinformationtable->width = '60%';
-        $quizinformationtable->class = 'generaltable titlesleft';
+        $quizinformationtable->attributes['class'] = 'generaltable titlesleft boxaligncenter';
         $quizinformationtable->data = array();
         $quizinformationtable->data[] = array(get_string('quizname', 'quiz_statistics'), $quiz->name);
         $quizinformationtable->data[] = array(get_string('coursename', 'quiz_statistics'), $course->fullname);
Index: moodle/mod/wiki/edit.php
--- moodle/mod/wiki/edit.php Base (1.5)
+++ moodle/mod/wiki/edit.php Locally Modified (Based On 1.5)
@@ -45,6 +45,10 @@
 $attachments = optional_param('attachments', 0, PARAM_INT);
 $deleteuploads = optional_param('deleteuploads', 0, PARAM_RAW);
 
+if (is_array($newcontent)) {
+    $newcontent = $newcontent['text'];
+}
+
 if (!$page = wiki_get_page($pageid)) {
     print_error('incorrectpageid', 'wiki');
 }
Index: moodle/mod/wiki/locallib.php
--- moodle/mod/wiki/locallib.php Base (1.20)
+++ moodle/mod/wiki/locallib.php Locally Modified (Based On 1.20)
@@ -1190,7 +1190,7 @@
         }
     }
     $html = file_rewrite_pluginfile_urls($page->cachedcontent, 'pluginfile.php', $context->id, 'mod_wiki', 'attachments', $subwikiid);
-    $html = format_text($html);
+    $html = format_text($html, FORMAT_MOODLE, array('overflowdiv'=>true));
     echo $OUTPUT->box($html);
 
     if (!empty($CFG->usetags)) {
Index: moodle/mod/wiki/pagelib.php
--- moodle/mod/wiki/pagelib.php Base (1.20)
+++ moodle/mod/wiki/pagelib.php Locally Modified (Based On 1.20)
@@ -694,7 +694,7 @@
                 $t->data[] = $row3;
             }
 
-            echo html_writer::table($t);
+            echo html_writer::tag('div', html_writer::table($t), array('class'=>'no-overflow'));
 
         }
     }
@@ -1035,7 +1035,7 @@
             $parseroutput = wiki_parse_content($data->contentformat, $data->newcontent_editor['text'], $options);
             $this->set_newcontent($data->newcontent_editor['text']);
             echo $OUTPUT->notification(get_string('previewwarning', 'wiki'), 'notifyproblem wiki_info');
-            $content = format_text($parseroutput['parsed_text'], FORMAT_HTML);
+            $content = format_text($parseroutput['parsed_text'], FORMAT_HTML, array('overflowdiv'=>true));
             echo $OUTPUT->box($content, 'generalbox wiki_previewbox');
             $content = $this->newcontent;
         }
@@ -2080,7 +2080,7 @@
             print_container($heading, false, 'mdl-align wiki_modifieduser wiki_headingtime');
             $options = array('swid' => $this->subwiki->id, 'pretty_print' => true, 'pageid' => $this->page->id);
             $parseroutput = wiki_parse_content($pageversion->contentformat, $pageversion->content, $options);
-            $content = print_container(format_text($parseroutput['parsed_text'], FORMAT_HTML), false, '', '', true);
+            $content = print_container(format_text($parseroutput['parsed_text'], FORMAT_HTML, array('overflowdiv'=>true)), false, '', '', true);
             echo $OUTPUT->box($content, 'generalbox wiki_contentbox');
 
         } else {
Index: moodle/mod/wiki/renderer.php
--- moodle/mod/wiki/renderer.php Base (1.8)
+++ moodle/mod/wiki/renderer.php Locally Modified (Based On 1.8)
@@ -67,6 +67,7 @@
             $table->colclasses = array('wikisearchresults');
             $html .= html_writer::table($table);
         }
+        $html = html_writer::tag('div', $html, array('class'=>'no-overflow'));
         return $this->output->container($html);
     }
 
Index: moodle/mod/workshop/assessment.php
--- moodle/mod/workshop/assessment.php Base (1.35)
+++ moodle/mod/workshop/assessment.php Locally Modified (Based On 1.35)
@@ -178,7 +178,7 @@
     $instructions = file_rewrite_pluginfile_urls($workshop->instructreviewers, 'pluginfile.php', $PAGE->context->id,
         'mod_workshop', 'instructreviewers', 0, workshop::instruction_editors_options($PAGE->context));
     print_collapsible_region_start('', 'workshop-viewlet-instructreviewers', get_string('instructreviewers', 'workshop'));
-    echo $output->box(format_text($instructions, $workshop->instructreviewersformat), array('generalbox', 'instructions'));
+    echo $output->box(format_text($instructions, $workshop->instructreviewersformat, array('overflowdiv'=>true)), array('generalbox', 'instructions'));
     print_collapsible_region_end();
 }
 
Index: moodle/mod/workshop/exassessment.php
--- moodle/mod/workshop/exassessment.php Base (1.10)
+++ moodle/mod/workshop/exassessment.php Locally Modified (Based On 1.10)
@@ -115,7 +115,7 @@
     $instructions = file_rewrite_pluginfile_urls($workshop->instructreviewers, 'pluginfile.php', $PAGE->context->id,
         'mod_workshop', 'instructreviewers', 0, workshop::instruction_editors_options($PAGE->context));
     print_collapsible_region_start('', 'workshop-viewlet-instructreviewers', get_string('instructreviewers', 'workshop'));
-    echo $output->box(format_text($instructions, $workshop->instructreviewersformat), array('generalbox', 'instructions'));
+    echo $output->box(format_text($instructions, $workshop->instructreviewersformat, array('overflowdiv'=>true)), array('generalbox', 'instructions'));
     print_collapsible_region_end();
 }
 
Index: moodle/mod/workshop/exsubmission.php
--- moodle/mod/workshop/exsubmission.php Base (1.18)
+++ moodle/mod/workshop/exsubmission.php Locally Modified (Based On 1.18)
@@ -179,7 +179,7 @@
     $instructions = file_rewrite_pluginfile_urls($workshop->instructauthors, 'pluginfile.php', $PAGE->context->id,
         'mod_workshop', 'instructauthors', 0, workshop::instruction_editors_options($PAGE->context));
     print_collapsible_region_start('', 'workshop-viewlet-instructauthors', get_string('instructauthors', 'workshop'));
-    echo $output->box(format_text($instructions, $workshop->instructauthorsformat), array('generalbox', 'instructions'));
+    echo $output->box(format_text($instructions, $workshop->instructauthorsformat, array('overflowdiv'=>true)), array('generalbox', 'instructions'));
     print_collapsible_region_end();
 }
 
Index: moodle/mod/workshop/renderer.php
--- moodle/mod/workshop/renderer.php Base (1.66)
+++ moodle/mod/workshop/renderer.php Locally Modified (Based On 1.66)
@@ -124,7 +124,7 @@
 
         $o .= $this->output->container_end(); // end of header
 
-        $content = format_text($submission->content, $submission->contentformat);
+        $content = format_text($submission->content, $submission->contentformat, array('overflowdiv'=>true));
         $content = file_rewrite_pluginfile_urls($content, 'pluginfile.php', $this->page->context->id,
                                                         'mod_workshop', 'submission_content', $submission->id);
         $o .= $this->output->container($content, 'content');
@@ -215,7 +215,7 @@
         $o .= $this->output->heading(format_string($example->title), 3, 'title');
         $o .= $this->output->container_end(); // end of header
 
-        $content = format_text($example->content, $example->contentformat);
+        $content = format_text($example->content, $example->contentformat, array('overflowdiv'=>true));
         $content = file_rewrite_pluginfile_urls($content, 'pluginfile.php', $this->page->context->id,
                                                         'mod_workshop', 'submission_content', $example->id);
         $o .= $this->output->container($content, 'content');
Index: moodle/mod/workshop/submission.php
--- moodle/mod/workshop/submission.php Base (1.51)
+++ moodle/mod/workshop/submission.php Locally Modified (Based On 1.51)
@@ -223,7 +223,7 @@
     $instructions = file_rewrite_pluginfile_urls($workshop->instructauthors, 'pluginfile.php', $PAGE->context->id,
         'mod_workshop', 'instructauthors', 0, workshop::instruction_editors_options($PAGE->context));
     print_collapsible_region_start('', 'workshop-viewlet-instructauthors', get_string('instructauthors', 'workshop'));
-    echo $output->box(format_text($instructions, $workshop->instructauthorsformat), array('generalbox', 'instructions'));
+    echo $output->box(format_text($instructions, $workshop->instructauthorsformat, array('overflowdiv'=>true)), array('generalbox', 'instructions'));
     print_collapsible_region_end();
 }
 
Index: moodle/mod/workshop/view.php
--- moodle/mod/workshop/view.php Base (1.151)
+++ moodle/mod/workshop/view.php Locally Modified (Based On 1.151)
@@ -100,7 +100,7 @@
         $instructions = file_rewrite_pluginfile_urls($workshop->instructauthors, 'pluginfile.php', $PAGE->context->id,
             'mod_workshop', 'instructauthors', 0, workshop::instruction_editors_options($PAGE->context));
         print_collapsible_region_start('', 'workshop-viewlet-instructauthors', get_string('instructauthors', 'workshop'));
-        echo $output->box(format_text($instructions, $workshop->instructauthorsformat), array('generalbox', 'instructions'));
+        echo $output->box(format_text($instructions, $workshop->instructauthorsformat, array('overflowdiv'=>true)), array('generalbox', 'instructions'));
         print_collapsible_region_end();
     }
 
@@ -241,7 +241,7 @@
         $instructions = file_rewrite_pluginfile_urls($workshop->instructreviewers, 'pluginfile.php', $PAGE->context->id,
             'mod_workshop', 'instructreviewers', 0, workshop::instruction_editors_options($PAGE->context));
         print_collapsible_region_start('', 'workshop-viewlet-instructreviewers', get_string('instructreviewers', 'workshop'));
-        echo $output->box(format_text($instructions, $workshop->instructreviewersformat), array('generalbox', 'instructions'));
+        echo $output->box(format_text($instructions, $workshop->instructreviewersformat, array('overflowdiv'=>true)), array('generalbox', 'instructions'));
         print_collapsible_region_end();
     }
 
Index: moodle/notes/lib.php
--- moodle/notes/lib.php Base (1.16)
+++ moodle/notes/lib.php Locally Modified (Based On 1.16)
@@ -196,7 +196,7 @@
     // print note content
     if ($detail & NOTES_SHOW_BODY) {
         echo '<div class="content">';
-        echo format_text($note->content, $note->format);
+        echo format_text($note->content, $note->format, array('overflowdiv'=>true));
         echo '</div>';
     }
 
Index: moodle/question/editlib.php
--- moodle/question/editlib.php Base (1.175)
+++ moodle/question/editlib.php Locally Modified (Based On 1.175)
@@ -1159,6 +1159,7 @@
     protected function print_category_info($category) {
         $formatoptions = new stdClass;
         $formatoptions->noclean = true;
+        $formatoptions->overflowdiv = true;
         echo '<div class="boxaligncenter">';
         echo format_text($category->info, FORMAT_MOODLE, $formatoptions, $this->course->id);
         echo "</div>\n";
Index: moodle/tag/locallib.php
--- moodle/tag/locallib.php Base (1.34)
+++ moodle/tag/locallib.php Locally Modified (Based On 1.34)
@@ -116,6 +116,7 @@
     if (!empty($tag_object->description)) {
         $options = new stdClass();
         $options->para = false;
+        $options->overflowdiv = true;
         $tag_object->description = file_rewrite_pluginfile_urls($tag_object->description, 'pluginfile.php', get_context_instance(CONTEXT_SYSTEM)->id, 'tag', 'description', $tag_object->id);
         $output .= format_text($tag_object->description, $tag_object->descriptionformat, $options);
     }
Index: moodle/theme/anomaly/config.php
--- moodle/theme/anomaly/config.php Base (1.16)
+++ moodle/theme/anomaly/config.php Locally Modified (Based On 1.16)
@@ -121,6 +121,11 @@
         'regions' => array(),
         'options' => array('nofooter'=>true, 'nonavbar'=>false, 'noblocks'=>true),
     ),
+    'report' => array(
+        'file' => 'report.php',
+        'regions' => array('side-pre'),
+        'defaultregion' => 'side-pre'
+    ),
\ No newline at end of file
 );
 
 $THEME->rendererfactory = 'theme_overridden_renderer_factory';
Index: moodle/theme/anomaly/layout/report.php
--- moodle/theme/anomaly/layout/report.php No Base Revision
+++ moodle/theme/anomaly/layout/report.php Locally New
@@ -0,0 +1,80 @@
+<?php
+
+$hasheading = ($PAGE->heading);
+$hasnavbar = (empty($PAGE->layout_options['nonavbar']) && $PAGE->has_navbar());
+$hasfooter = (empty($PAGE->layout_options['nofooter']));
+$hassidepre = $PAGE->blocks->region_has_content('side-pre', $OUTPUT);
+$showsidepre = $hassidepre && !$PAGE->blocks->region_completely_docked('side-pre', $OUTPUT);
+
+
+$bodyclasses = array();
+if (!$showsidepre) {
+    $bodyclasses[] = 'content-only';
+}
+
+echo $OUTPUT->doctype() ?>
+<html <?php echo $OUTPUT->htmlattributes() ?>>
+<head>
+    <title><?php echo $PAGE->title ?></title>
+    <link rel="shortcut icon" href="<?php echo $OUTPUT->pix_url('favicon', 'theme')?>" />
+    <?php echo $OUTPUT->standard_head_html() ?>
+</head>
+<body id="<?php echo $PAGE->bodyid ?>" class="<?php echo $PAGE->bodyclasses.' '.join(' ', $bodyclasses) ?>">
+<?php echo $OUTPUT->standard_top_of_body_html() ?>
+
+<div id="page">
+<?php if ($hasheading || $hasnavbar) { ?>
+    <div id="page-header">
+        <?php if ($hasheading) { ?>
+        <h1 class="headermain"><?php echo $PAGE->heading ?></h1>
+        <div class="headermenu"><?php
+            echo $OUTPUT->login_info();
+            if (!empty($PAGE->layout_options['langmenu'])) {
+                echo $OUTPUT->lang_menu();
+            }
+            echo $PAGE->headingmenu
+        ?></div><?php } ?>
+        <?php if ($hasnavbar) { ?>
+            <div class="navbar clearfix">
+                <div class="breadcrumb"><?php echo $OUTPUT->navbar(); ?></div>
+                <div class="navbutton"><?php echo $PAGE->button; ?></div>
+            </div>
+        <?php } ?>
+    </div>
+<?php } ?>
+<!-- END OF HEADER -->
+
+    <div id="page-content" class="clearfix">
+        <div id="report-main-content">
+            <div class="region-content">
+                <?php echo core_renderer::MAIN_CONTENT_TOKEN ?>
+            </div>
+        </div>
+        <?php if ($hassidepre) { ?>
+        <div id="report-region-wrap">
+            <div id="report-region-pre" class="block-region">
+                <div class="region-content">
+                    <?php echo $OUTPUT->blocks_for_region('side-pre') ?>
+                </div>
+            </div>
+        </div>
+        <?php } ?>
+    </div>
+
+<!-- START OF FOOTER -->
+    <?php if ($hasfooter) { ?>
+    <div id="page-footer" class="clearfix">
+        <p class="helplink"><?php echo page_doc_link(get_string('moodledocslink')) ?></p>
+        <?php
+        echo $OUTPUT->login_info();
+        echo $OUTPUT->home_link();
+        echo $OUTPUT->standard_footer_html();
+        ?>
+        <div class="rounded-corner bottom-left"></div>
+        <div class="rounded-corner bottom-right"></div>
+    </div>
+    <?php } ?>
+</div>
+<?php echo $OUTPUT->standard_end_of_body_html() ?>
+</body>
+</html>
\ No newline at end of file
Index: moodle/theme/arialist/config.php
--- moodle/theme/arialist/config.php Base (1.5)
+++ moodle/theme/arialist/config.php Locally Modified (Based On 1.5)
@@ -167,6 +167,11 @@
         'regions' => array(),
         'options' => array('nofooter'=>true, 'noblocks'=>true, 'nonavbar'=>false, 'nocustommenu'=>true),
     ),
+    'report' => array(
+        'file' => 'report.php',
+        'regions' => array('side-post'),
+        'defaultregion' => 'side-post',
+    ),
\ No newline at end of file
 );
 
 ///////////////////////////////////////////////////////////////
Index: moodle/theme/arialist/layout/report.php
--- moodle/theme/arialist/layout/report.php No Base Revision
+++ moodle/theme/arialist/layout/report.php Locally New
@@ -0,0 +1,119 @@
+<?php
+
+$hasheading = ($PAGE->heading);
+$hasnavbar = (empty($PAGE->layout_options['nonavbar']) && $PAGE->has_navbar());
+$hasfooter = (empty($PAGE->layout_options['nofooter']));
+$hassidepost = $PAGE->blocks->region_has_content('side-post', $OUTPUT);
+$showsidepost = ($hassidepost && !$PAGE->blocks->region_completely_docked('side-post', $OUTPUT));
+
+$custommenu = $OUTPUT->custom_menu();
+$hascustommenu = (empty($PAGE->layout_options['nocustommenu']) && !empty($custommenu));
+
+$bodyclasses = array();
+if ($showsidepost) {
+    $bodyclasses[] = 'side-post-only';
+} else if (!$showsidepost) {
+    $bodyclasses[] = 'content-only';
+}
+if ($hascustommenu) {
+    $bodyclasses[] = 'has-custom-menu';
+}
+
+echo $OUTPUT->doctype() ?>
+<html <?php echo $OUTPUT->htmlattributes() ?>>
+<head>
+    <title><?php echo $PAGE->title ?></title>
+    <link rel="shortcut icon" href="<?php echo $OUTPUT->pix_url('favicon', 'theme')?>" />
+    <?php echo $OUTPUT->standard_head_html() ?>
+</head>
+
+<body id="<?php echo $PAGE->bodyid ?>" class="<?php echo $PAGE->bodyclasses.' '.join(' ', $bodyclasses) ?>">
+<?php echo $OUTPUT->standard_top_of_body_html() ?>
+
+<?php if ($hascustommenu) { ?>
+<div id="custommenu"><?php echo $custommenu; ?></div>
+<?php } ?>
+
+<div id="page">
+
+    <?php if ($hasheading || $hasnavbar) { ?>
+       <div id="wrapper" class="clearfix">
+
+<!-- START OF HEADER -->
+
+            <div id="page-header" class="inside">
+                <div id="page-header-wrapper" class="wrapper clearfix">
+                    <?php if ($hasheading) { ?>
+                        <div id="header-left">
+                            <h1 class="headermain inside"><?php echo $PAGE->heading ?></h1>
+                        </div>
+                        <div class="headermenu"><?php
+                            echo $OUTPUT->login_info();
+                                if (!empty($PAGE->layout_options['langmenu'])) {
+                                    echo $OUTPUT->lang_menu();
+                                }
+                            echo $PAGE->headingmenu ?>
+                        </div>
+                    <?php } ?>
+                </div>
+            </div>
+            <?php if ($hasnavbar) { ?>
+                <div class="navbar">
+                    <div class="wrapper clearfix">
+                        <div class="breadcrumb"><?php echo $OUTPUT->navbar(); ?></div>
+                        <div class="navbutton"> <?php echo $PAGE->button; ?></div>
+                    </div>
+                </div>
+            <?php } ?>
+
+<!-- END OF HEADER -->
+
+    <?php } ?>
+
+
+<!-- START OF CONTENT -->
+
+            <div id="page-content-wrapper" class="wrapper clearfix">
+                <div id="page-content" class="clearfix">
+                    <div id="report-main-content">
+                        <div class="region-content">
+                            <?php echo core_renderer::MAIN_CONTENT_TOKEN ?>
+                        </div>
+                    </div>
+                    <?php if ($hassidepost) { ?>
+                    <div id="report-region-wrap">
+                        <div id="report-region-pre" class="block-region">
+                            <div class="region-content">
+                                <?php echo $OUTPUT->blocks_for_region('side-post') ?>
+                            </div>
+                        </div>
+                    </div>
+                    <?php } ?>
+                </div>
+            </div>
+
+        </div>
+
+<!-- END OF CONTENT -->
+
+    <?php if ($hasheading || $hasnavbar) { ?>
+        </div>
+    <?php } ?>
+
+<!-- START OF FOOTER -->
+
+        <?php if ($hasfooter) { ?>
+            <div id="page-footer" class="wrapper">
+                <p class="helplink"><?php echo page_doc_link(get_string('moodledocslink')) ?></p>
+                <?php
+                    echo $OUTPUT->login_info();
+                    echo $OUTPUT->home_link();
+                    echo $OUTPUT->standard_footer_html();
+                ?>
+            </div>
+        <?php } ?>
+
+</div>
+<?php echo $OUTPUT->standard_end_of_body_html() ?>
+</body>
+</html>
\ No newline at end of file
Index: moodle/theme/base/config.php
--- moodle/theme/base/config.php Base (1.19)
+++ moodle/theme/base/config.php Locally Modified (Based On 1.19)
@@ -152,6 +152,12 @@
         'regions' => array(),
         'options' => array('nofooter'=>true, 'nonavbar'=>true, 'nocustommenu'=>true),
     ),
+    // The pagelayout used for reports
+    'report' => array(
+        'file' => 'report.php',
+        'regions' => array('side-pre'),
+        'defaultregion' => 'side-pre',
+    ),
 );
 
 // We don't want the base theme to be shown on the theme selection screen, by setting
Index: moodle/theme/base/layout/report.php
--- moodle/theme/base/layout/report.php No Base Revision
+++ moodle/theme/base/layout/report.php Locally New
@@ -0,0 +1,89 @@
+<?php
+
+$hasheading = ($PAGE->heading);
+$hasnavbar = (empty($PAGE->layout_options['nonavbar']) && $PAGE->has_navbar());
+$hasfooter = (empty($PAGE->layout_options['nofooter']));
+$hassidepre = (empty($PAGE->layout_options['noblocks']) && $PAGE->blocks->region_has_content('side-pre', $OUTPUT));
+$haslogininfo = (empty($PAGE->layout_options['nologininfo']));
+
+$showsidepre = ($hassidepre && !$PAGE->blocks->region_completely_docked('side-pre', $OUTPUT));
+
+$custommenu = $OUTPUT->custom_menu();
+$hascustommenu = (empty($PAGE->layout_options['nocustommenu']) && !empty($custommenu));
+
+$bodyclasses = array();
+if (!$showsidepre) {
+    $bodyclasses[] = 'content-only';
+}
+if ($hascustommenu) {
+    $bodyclasses[] = 'has_custom_menu';
+}
+
+echo $OUTPUT->doctype() ?>
+<html <?php echo $OUTPUT->htmlattributes() ?>>
+<head>
+    <title><?php echo $PAGE->title ?></title>
+    <link rel="shortcut icon" href="<?php echo $OUTPUT->pix_url('favicon', 'theme')?>" />
+    <?php echo $OUTPUT->standard_head_html() ?>
+</head>
+<body id="<?php echo $PAGE->bodyid ?>" class="<?php echo $PAGE->bodyclasses.' '.join(' ', $bodyclasses) ?>">
+<?php echo $OUTPUT->standard_top_of_body_html() ?>
+<div id="page">
+<?php if ($hasheading || $hasnavbar) { ?>
+    <div id="page-header">
+        <?php if ($hasheading) { ?>
+        <h1 class="headermain"><?php echo $PAGE->heading ?></h1>
+        <div class="headermenu"><?php
+            if ($haslogininfo) {
+                echo $OUTPUT->login_info();
+            }
+            if (!empty($PAGE->layout_options['langmenu'])) {
+                echo $OUTPUT->lang_menu();
+            }
+            echo $PAGE->headingmenu
+        ?></div><?php } ?>
+        <?php if ($hascustommenu) { ?>
+        <div id="custommenu"><?php echo $custommenu; ?></div>
+        <?php } ?>
+        <?php if ($hasnavbar) { ?>
+            <div class="navbar clearfix">
+                <div class="breadcrumb"><?php echo $OUTPUT->navbar(); ?></div>
+                <div class="navbutton"> <?php echo $PAGE->button; ?></div>
+            </div>
+        <?php } ?>
+    </div>
+<?php } ?>
+<!-- END OF HEADER -->
+
+    <div id="page-content" class="clearfix">
+        <div id="report-main-content">
+            <div class="region-content">
+                <?php echo core_renderer::MAIN_CONTENT_TOKEN ?>
+            </div>
+        </div>
+        <?php if ($hassidepre) { ?>
+        <div id="report-region-wrap">
+            <div id="report-region-pre" class="block-region">
+                <div class="region-content">
+                    <?php echo $OUTPUT->blocks_for_region('side-pre') ?>
+                </div>
+            </div>
+        </div>
+        <?php } ?>
+    </div>
+
+<!-- START OF FOOTER -->
+    <?php if ($hasfooter) { ?>
+    <div id="page-footer" class="clearfix">
+        <p class="helplink"><?php echo page_doc_link(get_string('moodledocslink')) ?></p>
+        <?php
+        echo $OUTPUT->login_info();
+        echo $OUTPUT->home_link();
+        echo $OUTPUT->standard_footer_html();
+        ?>
+    </div>
+    <?php } ?>
+</div>
+<?php echo $OUTPUT->standard_end_of_body_html() ?>
+</body>
+</html>
\ No newline at end of file
Index: moodle/theme/binarius/config.php
--- moodle/theme/binarius/config.php Base (1.6)
+++ moodle/theme/binarius/config.php Locally Modified (Based On 1.6)
@@ -166,6 +166,11 @@
         'regions' => array(),
         'options' => array('nofooter'=>true, 'noblocks'=>true, 'nonavbar'=>false, 'nocustommenu'=>true),
     ),
+    'report' => array(
+        'file' => 'report.php',
+        'regions' => array('side-post'),
+        'defaultregion' => 'side-post',
+    ),
\ No newline at end of file
 );
 
 ///////////////////////////////////////////////////////////////
Index: moodle/theme/binarius/layout/report.php
--- moodle/theme/binarius/layout/report.php No Base Revision
+++ moodle/theme/binarius/layout/report.php Locally New
@@ -0,0 +1,118 @@
+<?php
+
+$hasheading = ($PAGE->heading);
+$hasnavbar = (empty($PAGE->layout_options['nonavbar']) && $PAGE->has_navbar());
+$hasfooter = (empty($PAGE->layout_options['nofooter']));
+$hassidepost = $PAGE->blocks->region_has_content('side-post', $OUTPUT);
+$showsidepost = ($hassidepost && !$PAGE->blocks->region_completely_docked('side-post', $OUTPUT));
+
+$custommenu = $OUTPUT->custom_menu();
+$hascustommenu = (empty($PAGE->layout_options['nocustommenu']) && !empty($custommenu));
+
+$bodyclasses = array();
+if ($showsidepost) {
+    $bodyclasses[] = 'side-post-only';
+} else if (!$showsidepost) {
+    $bodyclasses[] = 'content-only';
+}
+
+if ($hascustommenu) {
+    $bodyclasses[] = 'has-custom-menu';
+}
+
+echo $OUTPUT->doctype() ?>
+<html <?php echo $OUTPUT->htmlattributes() ?>>
+<head>
+    <title><?php echo $PAGE->title ?></title>
+    <link rel="shortcut icon" href="<?php echo $OUTPUT->pix_url('favicon', 'theme')?>" />
+    <?php echo $OUTPUT->standard_head_html() ?>
+</head>
+
+<body id="<?php echo $PAGE->bodyid ?>" class="<?php echo $PAGE->bodyclasses.' '.join(' ', $bodyclasses) ?>">
+<?php echo $OUTPUT->standard_top_of_body_html() ?>
+
+<div id="page">
+
+    <?php if ($hasheading || $hasnavbar) { ?>
+           <div id="wrapper" class="clearfix">
+
+<!-- START OF HEADER -->
+
+            <div id="page-header" class="inside">
+                <div id="page-header-wrapper" class="wrapper clearfix">
+
+                    <?php if ($hasheading) { ?>
+                        <h1 class="headermain"><?php echo $PAGE->heading ?></h1>
+                        <div class="headermenu"><?php
+                            echo $OUTPUT->login_info();
+                                if (!empty($PAGE->layout_options['langmenu'])) {
+                                    echo $OUTPUT->lang_menu();
+                                }
+                            echo $PAGE->headingmenu ?>
+                        </div>
+                    <?php } ?>
+                    <?php if ($hascustommenu) { ?>
+                    <div id="custommenu"><?php echo $custommenu; ?></div>
+                    <?php } ?>
+                </div>
+            </div>
+
+            <?php if ($hasnavbar) { ?>
+                <div class="navbar">
+                    <div class="wrapper clearfix">
+                        <div class="breadcrumb"><?php echo $OUTPUT->navbar(); ?></div>
+                        <div class="navbutton"> <?php echo $PAGE->button; ?></div>
+                    </div>
+                </div>
+            <?php } ?>
+
+<!-- END OF HEADER -->
+
+    <?php } ?>
+
+
+<!-- START OF CONTENT -->
+
+        <div id="page-content-wrapper" class="wrapper clearfix">
+            <div id="page-content" class="clearfix">
+                <div id="report-main-content">
+                    <div class="region-content">
+                        <?php echo core_renderer::MAIN_CONTENT_TOKEN ?>
+                    </div>
+                </div>
+                <?php if ($hassidepost) { ?>
+                <div id="report-region-wrap">
+                    <div id="report-region-pre" class="block-region">
+                        <div class="region-content">
+                            <?php echo $OUTPUT->blocks_for_region('side-post') ?>
+                        </div>
+                    </div>
+                </div>
+                <?php } ?>
+            </div>
+        </div>
+
+<!-- END OF CONTENT -->
+
+    <?php if ($hasheading || $hasnavbar) { ?>
+    <div class="myclear"></div>
+        </div>
+    <?php } ?>
+
+<!-- START OF FOOTER -->
+
+        <?php if ($hasfooter) { ?>
+            <div id="page-footer" class="wrapper">
+                <p class="helplink"><?php echo page_doc_link(get_string('moodledocslink')) ?></p>
+                <?php
+                    echo $OUTPUT->login_info();
+                    echo $OUTPUT->home_link();
+                    echo $OUTPUT->standard_footer_html();
+                ?>
+            </div>
+        <?php } ?>
+
+</div>
+<?php echo $OUTPUT->standard_end_of_body_html() ?>
+</body>
+</html>
\ No newline at end of file
